Cyberduck Mountain Duck CLI

#3705 closed defect (wontfix)

Missing Applescript support

Reported by: menteinfinita@… Owned by: dkocher
Priority: normal Milestone:
Component: applescript Version: 3.3b2
Severity: normal Keywords: applescript
Cc: Architecture:
Platform:

Description

Hi there,

Since i updated to Snow Leopard, this script:

tell application "Cyberduck"
make new browser
end tell

results in this error message:

error "Cyberduck got an error: The handler some object is not defined." number -1717

thus all those niiiice cyberduckscripts are not working anymore.

It would be nice having that working again - if it's a general bug ;-)

thx alex

ps: also tried build 5250 - same there

Change History (13)

comment:1 Changed on Sep 12, 2009 at 9:11:30 AM by dkocher

  • Summary changed from Applescript "make new browser" not working in 3.3b2 (5220) / MacOS 10.6.1 to Missing Applescript support

AppleScript support is currently missing from the Snow Leopard compatible beta builds as it has to be rewritten from scratch.

comment:2 Changed on Sep 12, 2009 at 10:44:07 AM by menteinfinita@…

oh, ok. i see. thx

comment:3 Changed on Oct 9, 2009 at 10:10:16 AM by dkocher

  • Milestone changed from 3.3 to 3.4

comment:4 Changed on Nov 26, 2009 at 2:42:48 PM by DickM

Hello, I still waiting on AppleScript support. I thinking about rewrite my Applescripts to use Terminal.app and SFTP instead of Cyberduck :-( It would have been faster.

comment:5 follow-up: Changed on Dec 2, 2009 at 11:14:18 PM by menteinfinita@…

hi milestone,

that's exactly what i did. Here a sample script:

--
-- spc upload
-- attach this script as a folder action to a folder. on dropping files to that folder, it will upload the files to the specified server using scp
-- 
-- you need to be able to access the destination server with key authorisation for this to work
-- 
-- if you don't have key authentication, you can set it up this way:
-- 
-- 1. generate your keys typing this command in terminal:
-- ssh-keygen -t rsa
-- 
-- 2. upload your public key to the destination server
-- cat ~/.ssh/id_rsa.pub | ssh USERNAME@SERVER 'cat >> .ssh/authorized_keys'
-- 
-- 3. test the key authentication
-- ssh USERNAME@SERVER
-- => you shouldn't be prompted to enter your pw
-- 
-- written by fyysh
-- 

on adding folder items to this_folder after receiving added_items
	
	
	set DestServer to "USERNAME@SERVER:PATH_ON_SERVER"
	set GrowlTitle to "IMG Upload"
	
	--clipboard stuff
	--if u need the url or something like that of the file your uploading uncomment this
	--it will put somethink like http://yourdomain.com/bla/filename in your clipboard.
	--you'll need to uncomment the command for setting te clipboard to this below
	--make sure your url ends with / !
	--set DESTINATION_WEB_URL to "http://yourdomain.com/bla/" as text
	
	set theFileName to ""
	
	
	set the item_count to the number of items in the added_items
	
	if the item_count is greater than 0 then
		--spc upload
		repeat with aFile in added_items
			tell application "Finder" to set theFileName to aFile as text
			set theFilePath to (POSIX path of aFile) as text
			try
				
				
				set FileN to name of (info for alias theFileName)
				
				
				do shell script "scp -c blowfish -C " & quoted form of theFilePath & " " & DestServer
				
				--uncomment this to get the url+filename in your clipboard
				--set the clipboard to (DESTINATION_WEB_URL & FileN)
				
				--uncomment this to be notified if the upload was successfull 
				--display dialog "Upload of " & FileN & " was successfull." buttons {"OK"} default button 1 giving up after 5
				
				
			on error
				
				display dialog "Upload of " & FileN & " failed." buttons {"OK"} default button 1 with icon 0
				
				
			end try
		end repeat
	end if
	
	
end adding folder items to

comment:6 Changed on Dec 2, 2009 at 11:17:32 PM by menteinfinita@…

lol... i meant "hi DickM"... *doh*

comment:7 in reply to: ↑ 5 Changed on Dec 3, 2009 at 9:53:58 AM by dkocher

Replying to menteinfinita@…:

that's exactly what i did. Here a sample script:

Thanks for sharing the script here!

comment:8 Changed on Dec 22, 2009 at 12:50:31 AM by eykanal

Just another request to have this bug (or whatever it is) addressed. Thanks!

comment:9 follow-ups: Changed on Dec 31, 2009 at 3:29:52 PM by dkocher

  • Milestone 3.4 deleted

Postponed for possible later addition.

comment:10 in reply to: ↑ 9 Changed on Jan 5, 2010 at 8:04:11 AM by Czech X Team

Replying to dkocher:

Postponed for possible later addition.

It is a really bad news :-(

comment:11 in reply to: ↑ 9 Changed on Jan 18, 2010 at 1:14:09 PM by bbrunsting@…

Replying to dkocher:

Postponed for possible later addition.

Oh bummer! Our databases have applescripts built into them that hook into cyberduck that make uploading to various ftp sites very easy. Unfortunately for us, no applescript support on the near horizon for Cyberduck means finding another ftp client that does support it. Bummer, bummer, bummer. We would be happy to continue to use an old version, but those don't work with snow leopard.

comment:12 in reply to: ↑ 9 Changed on Jan 22, 2010 at 6:03:06 AM by Gavin Young <gavinyoung@…>

Replying to dkocher:

Postponed for possible later addition.

Yikes! Is there a timeline for applescript support again? I'd be happy to donate again if this is going to happen soon as I rely heavily on cyberduck's scripting capability. If not, then I need to move on. Would prefer to continue to use this fine product though.

comment:14 Changed on Jul 23, 2010 at 9:52:07 AM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

There are currently no plans to reintroduce support for AppleScript.

Note: See TracTickets for help on using tickets.
swiss made software